using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web.Script.Serialization;
using BO.BO.Dtos;
using Forks.JsonRpc.Client;

namespace BO.Utils.BillRpc
{
  public class ClientGoodsSetRpc
  {
    static JavaScriptSerializer serializer = new JavaScriptSerializer();
    public static List<ClientGoodsSetDto> GetList()
    {
      var json = RpcFacade.Call<string>("/MainSystem/B3ClientService/Rpcs/BillRpc/ClientGoodsSetRpc/GetList");
      var list = serializer.Deserialize<List<ClientGoodsSetDto>>(json);
      return list;
    }
    public static List<ClientGoodsSetDto> GetListByApplyClient(string applyClient)
    {
      var json = RpcFacade.Call<string>("/MainSystem/B3ClientService/Rpcs/BillRpc/ClientGoodsSetRpc/GetListByApplyClient",applyClient);
      var list = serializer.Deserialize<List<ClientGoodsSetDto>>(json);
      return list;
    }
  }
}
